c     ***********************************************************
      subroutine densenv(rad,rmin,thetin,costin,pi,pihalf,phi,dens)

c     calculates density in envelope. called during grid setup
c     so doesn't need to be optimized.

c  history:
c  00/09/06 (baw): write subroutine, modified from opacenv.f

      implicit none
      include 'opacin.txt' 
      real*8 rad,dens,cosa,rado,radi,rmin,phi,thet,thetin,pihalf,y,
     $     pi,r2,costin,m,n,fact,a
c     integer a

      rado=rmaxe
      radi=rado*(1.d0-thick)
      fact=1.d0

      if(rad.lt.rado.and.rad.gt.rmine) then
         if(rad.lt.radi) then
            dens=rho1/(rad/rmin)**er1
         else
            dens=rho2/(rad/rmin)**er2*fact
         end if
      else
         dens=0.
      endif

      return 
      end

