	subroutine table
	
c	makes a table of integrated probability distribution function.
c	for limb darkening
	
	include 'tabl.txt'
	integer i
	
	
	delmu=1./(float(ntab)-1)
	xmu(1)=0
	
	do i=1,ntab
	  prob(i)=0.5*(xmu(i)**3+xmu(i)**2)
	  xmu(i+1)=xmu(i)+delmu
	end do
	
	write(6,*) 'in table, prob(n), should equal 1, ',prob(ntab)
	
	return
	end
	
	
	
c	*********************************************************

c	*********************************************************

	subroutine darkening(random,mu)

c	interpolates from table (subroutine table) to sample
c	mu from probability distribution function.
c	mu ranges from 0 to 1 

	include 'tabl.txt'
	
	integer i,n
	real random,mu,check
	
	do i=1,ntab
	  check=random-prob(i)
	  if (check.lt.0) then
	    n=i
	    go to 10
	  end if
	end do
	
	write(6,*) 'table for mu must be wrong...'
	
10	mu=xmu(n)-(prob(n)-random)/(prob(n)-prob(n-1))*delmu

	return
	end

